Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor:

## Public Member Functions
| setRouter (RouterInterface $router)
| setLocationService (LocationService $locationService)
| canMapContentHref ()
| mapToContentHref ($contentId)
| mapToLocationHref ($locationId)
| preProcessFieldSettingsHash ($incomingSettingsHash)
| Perform manipulations on a received $incomingSettingsHash. More...
| postProcessFieldSettingsHash ($outgoingSettingsHash)
| Perform manipulations on a received $outgoingSettingsHash. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\FieldTypeProcessor
| preProcessValueHash ($incomingValueHash)
| Perform manipulations on a received $incomingValueHash. More...
| postProcessValueHash ($outgoingValueHash)
| Perform manipulations on an a generated $outgoingValueHash. More...
| preProcessValidatorConfigurationHash ($incomingValidatorConfigurationHash)
| Perform manipulations on a received $incomingValidatorConfigurationHash. More...
| postProcessValidatorConfigurationHash ($outgoingValidatorConfigurationHash)
| Perform manipulations on a received $outgoingValidatorConfigurationHash. More...

## Private Attributes
| $router
| $locationService

## Detailed Description

Definition at line 14 of file BaseRelationProcessor.php.

## Member Function Documentation

## ◆ canMapContentHref()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::canMapContentHref | ( |  | ) |

Returns
  bool

Definition at line 41 of file BaseRelationProcessor.php.

Referenced by eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationListProcessor\postProcessValueHash(), and eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationProcessor\postProcessValueHash().

## ◆ mapToContentHref()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::mapToContentHref | ( |  | $contentId | ) |

Parameters

  int | $contentId |

Returns
  string

Definition at line 51 of file BaseRelationProcessor.php.

Referenced by eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationListProcessor\postProcessValueHash(), and eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationProcessor\postProcessValueHash().

## ◆ mapToLocationHref()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::mapToLocationHref | ( |  | $locationId | ) |

Parameters

  int | $locationId |

Returns
  string

Definition at line 61 of file BaseRelationProcessor.php.

Referenced by eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationListProcessor\postProcessFieldSettingsHash(), and eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationProcessor\postProcessFieldSettingsHash().

## ◆ postProcessFieldSettingsHash()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::postProcessFieldSettingsHash | ( |  | $outgoingSettingsHash | ) |

Perform manipulations on a received $outgoingSettingsHash.

This method is called by the REST output visitors to allow a field type to post process the given $outgoingSettingsHash, which was previously generated using (), before it is sent to the client. The return value of this method replaces $outgoingSettingsHash and must obey to the same rules as the original $outgoingSettingsHash.

See also
  \eZ\Publish\Core\REST\Common\Output\FieldTypeSerializer

Parameters

  mixed | $outgoingSettingsHash |

Returns
  mixed Post processed hash

Reimplemented from eZ\Publish\Core\REST\Common\FieldTypeProcessor.

Reimplemented in eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationProcessor, and eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationListProcessor.

Definition at line 83 of file BaseRelationProcessor.php.

## ◆ preProcessFieldSettingsHash()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::preProcessFieldSettingsHash | ( |  | $incomingSettingsHash | ) |

Perform manipulations on a received $incomingSettingsHash.

This method is called by the REST input parsers to allow a field type to pre process the given $incomingSettingsHash before it is handled by (). The $incomingSettingsHash can be expected to conform to the rules that need to apply to hashes accepted by fieldSettingsFromHash(). The return value of this method replaces the $incomingSettingsHash.

See also
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser

Parameters

  mixed | $incomingSettingsHash |

Returns
  mixed Pre processed hash

Reimplemented from eZ\Publish\Core\REST\Common\FieldTypeProcessor.

Definition at line 68 of file BaseRelationProcessor.php.

## ◆ setLocationService()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::setLocationService | ( | LocationService | $locationService | ) |

Parameters

  \eZ\Publish\API\Repository\LocationService | $locationService |

Definition at line 33 of file BaseRelationProcessor.php.

References eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor\$locationService.

## ◆ setRouter()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::setRouter | ( | RouterInterface | $router | ) |

Parameters

  \Symfony\Component\Routing\RouterInterface | $router |

Definition at line 25 of file BaseRelationProcessor.php.

References eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor\$router.

## Member Data Documentation

## ◆ $locationService

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::$locationService
| private

Definition at line 20 of file BaseRelationProcessor.php.

Referenced by eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor\setLocationService().

## ◆ $router

eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor::$router
| private

Definition at line 17 of file BaseRelationProcessor.php.

Referenced by eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor\setRouter().

The documentation for this class was generated from the following file:

- BaseRelationProcessor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.